#!/usr/bin/perl

##############################################
#                Please Edit                 #
##############################################
# requires the absolute, or relative path and 
# and file name of file.pl
require "file.pl";

# the URL of this script (admin.cgi)
$script_url = &myURL;


##############################################
#                   Done!                    #
##############################################

print "Content-type: text/html\n" ;
print "Pragma: no-cache\n\n";

$one_day = 24*60*60;
&ReadParse(*INPUT);

if ($INPUT{submit} eq "Login") {
     $test_pass = crypt($INPUT{pass}, aa);
     $INPUT{pass} = $test_pass;   
}
if (!&checkPassword) {
	exit;
}


### Submission Choices ###

if ($INPUT{Submit} eq "Add Account") {
    &addAccount;
    exit;
}
if ($INPUT{Submit} eq "Add") {
    &add;
}

if ($INPUT{Submit} eq "Delete Account") {
    &deleteAccount;
    exit;
}
if ($INPUT{Submit} eq "Delete") {
    &deleteLink($INPUT{"account"});
}

if ($INPUT{Submit} eq "Reset Accounts") {
    &confirmReset;
    exit;
}
if ($INPUT{Submit} eq "Reset") {
    &resetAll;
}

if ($INPUT{Submit} eq "View/Edit Account") {
    &viewAccount;
    exit;
}
if ($INPUT{Submit} eq "Edit") {
	&editAccount;
}

if (($INPUT{Submit} eq "Change Password") || ($INPUT{Submit} eq "Try Again")) {
    &changePassword;
    exit;
}
if ($INPUT{Submit} eq "Change") {
    &change;
    exit;
}    

if ($INPUT{Submit} eq "Reset Stats") {
    &resetLink($INPUT{account});
}

if ($INPUT{Submit} eq "View Error Log") {
    &viewError;
    exit;
}
if ($INPUT{Submit} eq "Reset Log") {
    &resetLog;
}

### End of Submission Choices ###

### Default First Page ###
&firstPage;
exit;
### End of Main Script ###



### ---  Subroutines  --- ###

sub firstPage {

print <<EOF;
<HTML><HEAD><TITLE>Click Manager Stats</TITLE></HEAD>
<BODY BGCOLOR="#FFFFFF">
<FORM ACTION="$script_url" METHOD="POST">
<INPUT NAME="user" TYPE=Hidden VALUE="$INPUT{user}">
<INPUT NAME="pass" TYPE=Hidden VALUE="$INPUT{pass}">
<TABLE BORDER="0" width=100% cellpadding=5 cellspacing=0>
<TR>
<TD BGCOLOR="#000050" ALIGN=CENTER>
<FONT FACE="Verdana, Arial, Helvetica" SIZE="5" COLOR="White">
<B>Click Manager $version</B></FONT></TD>
</TR>
</TABLE>
<TABLE BORDER=1 CELLPADDING=1 CELLSPACING=0 width=100%>
<TR>
<TD align=center><B>Name</B> (<FONT SIZE=-1>link</FONT>)</TD>
<TD align=center><B>URL</B></TD>
<TD align=center WIDTH=65><B>Out</B></TD>
<TD align=center WIDTH=65><B>Left</B></TD>
<TD align=center WIDTH=65><B>In</B></TD>
<TD align=center WIDTH=65><B>Ratio</B></TD>
<TD align=center WIDTH=65><B>Weight</B></TD>
<TD align=center><B>Edit</B></TD>
</TR>
EOF

&open_links;
&close_links;

$select = " CHECKED";
foreach $link (@links) {
	$total_hits += $clicks{$link};
	$total_hits_left += $clicks_left{$link};
	$total_hits_in += $clicks_in{$link};
	print "<TR><TD WIDTH=30\%>&nbsp; <B>$name{$link}</B> (<FONT SIZE=-1>$link</FONT>)</TD>";
	print "<TD WIDTH=30\%>&nbsp; <A HREF=\"out.cgi?id=$link\" TARGET=_blank>" . &domain($url{$link}) . "</A></TD>\n";
	print "<TD align=center>$clicks{$link}</TD>\n";
	print "<TD align=center>" . int($clicks_left{$link}) . "</TD>\n";
	print "<TD align=center>$clicks_in{$link}</TD>\n";
	print "<TD align=center>$ratio{$link}</TD>\n";	
	print "<TD align=center>$weight{$link}</TD>\n";
	print "<TD align=center><INPUT NAME=account TYPE=Radio VALUE=\"$link\"$select></TD></TR>\n";
	$select = "";
}

if ($total_hits_in != 0) {
	$ratio = $total_hits / $total_hits_in;
	$ratio *= 100;
	$ratio = int($ratio);
}

print <<EOF;
<TR>
<TD></TD>
<TD ALIGN=RIGHT><B>TOTALS&nbsp</B></TD>
<TD ALIGN=CENTER>$total_hits</TD>
<TD ALIGN=CENTER>$total_hits_left</TD>
<TD ALIGN=CENTER>$total_hits_in</TD>
<TD ALIGN=CENTER>$ratio<FONT SIZE=-1>\%</FONT></TD>
<TD></TD>
<TD></TD>
</TABLE>
<TABLE BORDER="0" width=100% cellpadding=5 cellspacing=0>
<TR>
<TD BGCOLOR="#000050" align=center>
<input type="Submit" name="Submit" value="Change Password">
<input type="Submit" name="Submit" value="Add Account">
<input type="Submit" name="Submit" value="View/Edit Account">
<input type="Submit" name="Submit" value="Delete Account">
<input type="Submit" name="Submit" value="Reset Accounts">
<input type="Submit" name="Submit" value="View Error Log">
</TD>
</TR>
</TABLE>
<P ALIGN=CENTER><I>Created by morden | Last Modified 09-07-1999</I></P>
</FORM></BODY></HTML>
EOF

} # end the firstpage sub



### Add Account Subroutines ###
sub addAccount {
print <<EOF;
<HTML><HEAD><TITLE>Click Manager $version: Add Account</TITLE></HEAD>
<BODY BGCOLOR="#FFFFFF"><CENTER>
<FORM ACTION="$script_url" METHOD="POST">
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR><TD BGCOLOR="#000050" align=center height=30>
<FONT FACE="Verdana, Arial, Helvetica" SIZE=5 COLOR="White">
<B>Add Account</B></FONT></TD></TR></TABLE>
<BR>
<TABLE BORDER=0>
<tr>
<td ALIGN=RIGHT><font face="Arial">Account Name:</font></td>
<td><input NAME="name" TYPE="Text" SIZE="40"></td>
</tr>
<tr>
<td ALIGN=RIGHT><font face="Arial">Site URL:</font></td>
<td><input NAME="url" TYPE="Text" SIZE="40"></td>
</tr>
<tr>
<td ALIGN=RIGHT><font face="Arial">Clicks:</font></td>
<td><input NAME="clicks" TYPE="Text" SIZE="10"></td>
</tr>
<tr>
<td ALIGN=RIGHT><font face="Arial">Ratio:</font></td>
<td><input NAME="ratio" TYPE="Text" SIZE="10" VALUE="1.0"></td>
</tr>
<TR>
<TD ALIGN=RIGHT><font face="Arial">Weight:</font></TD>
<TD><SELECT NAME="weight"><OPTION VALUE="1" SELECTED>1<OPTION VALUE="2">2<OPTION VALUE="3">3<OPTION VALUE="4">4<OPTION VALUE="5">5<OPTION VALUE="6">6<OPTION VALUE="7">7<OPTION VALUE="8">8<OPTION VALUE="9">9<OPTION VALUE="10">10</SELECT></TD>
</TR>
</TABLE>
<BR>
<TABLE BORDER="0" WIDTH="90%" cellpadding=5 cellspacing=0>
<TR>
<TD BGCOLOR="#000050" align=center>
<INPUT NAME="user" TYPE="Hidden" VALUE="$INPUT{user}">
<INPUT NAME="pass" TYPE="Hidden" VALUE="$INPUT{pass}">
<input NAME="Submit" TYPE="Submit" VALUE="Add">
<input TYPE="Reset" Value="Clear">
<input TYPE="Submit" VALUE="Cancel">
</td>
</tr>
</table>
</form>
</center>
</body>
</html>
EOF
}

sub add {
	my $link = &getAccountNumber($INPUT{name});
	$name{$link} = $INPUT{name};
	$url{$link} = $INPUT{url};
	$clicks{$link} = 0;
	$clicks_left{$link} = $INPUT{clicks};
	$weight{$link} = $INPUT{weight};
	$ratio{$link} = $INPUT{ratio};
	&addLink($link);
}

### End of Add Account Subroutines ###

### View/Edit Account Subroutines ###

sub viewAccount {

	my @links = &getLinks;;
	my $link = $INPUT{account};
	my $first_select = "<OPTION VALUE=\"$weight{$link}\" SELECTED>$weight{$link}";

print <<EOF;
<HTML><HEAD><TITLE>Click Manager $version: View/Edit Account $INPUT{account}</TITLE></HEAD>
<BODY BGCOLOR="#FFFFFF"><CENTER>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR><TD BGCOLOR="#000050" align=center height=30>
<FONT FACE="Verdana, Arial, Helvetica" SIZE="5" COLOR="White">
<B>View/Edit Account</B></FONT></TD></TR><TR><TD height=5></TD></TR></TABLE>
<TABLE BORDER=0>
<FORM ACTION="$script_url" METHOD="POST">
<TR>
<TD ALIGN=RIGHT><b>Account Name:</b></TD>
<TD><INPUT NAME="name" TYPE=Text SIZE="40" Value="$name{$link}">
</TD></TR>
<TR>
<TD ALIGN=RIGHT><b>Site URL:</b></TD>
<TD><INPUT NAME="url" TYPE=Text SIZE="40" Value="$url{$link}"></TD>
</TR>
<TR>
<TD ALIGN=RIGHT><b>Clicks:</b></TD>
<TD><INPUT NAME="clicks" TYPE=Text SIZE="10" VALUE="$clicks{$link}"></TD>
</TR>
<TR>
<TD ALIGN=RIGHT><b>Clicks Left:</b></TD>
<TD><INPUT NAME="clicks_left" TYPE=Text SIZE="10" VALUE="$clicks_left{$link}"></TD>
</TR>
<tr>
<td ALIGN=RIGHT><B>Ratio:</B></td>
<td><input NAME="ratio" TYPE="Text" SIZE="10" VALUE="$ratio{$link}"> </td>
</tr>
<tr>
<td ALIGN=RIGHT><B>Reset To:</B></td>
<td><input NAME="reset_to" TYPE="Text" SIZE="10" VALUE="$reset_to{$link}"> </td>
</tr>
<TR>
<TD ALIGN=RIGHT><b>Weight:</b></TD>
<TD><SELECT NAME="weight"><OPTION VALUE="$weight{$link}" SELECTED>$weight{$link}<OPTION VALUE="1">1<OPTION VALUE="2">2<OPTION VALUE="3">3<OPTION VALUE="4">4<OPTION VALUE="5">5<OPTION VALUE="6">6<OPTION VALUE="7">7<OPTION VALUE="8">8<OPTION VALUE="9">9<OPTION VALUE="10">10</SELECT></TD>
</TR>
</TABLE>
<BR>
<TABLE BORDER="0" WIDTH="90%" cellpadding=5 cellspacing=0>
<TR>
<TD BGCOLOR="#000050" align=center>
<INPUT NAME="account" TYPE=Hidden VALUE="$INPUT{account}">
<INPUT NAME="user" TYPE=Hidden VALUE="$INPUT{user}">
<INPUT NAME="pass" TYPE=Hidden VALUE="$INPUT{pass}">
<INPUT NAME="Submit" TYPE=Submit VALUE="Edit">
<INPUT TYPE=Reset Value=Clear>
<INPUT NAME="Submit" TYPE=Submit Value="Reset Stats">
<INPUT NAME="Submit" TYPE=Submit VALUE="Cancel">
</TD></TR></FORM></TABLE></CENTER></BODY></HTML>
EOF
}

# Edit Account #

sub editAccount {
	my @links = &getLinks;
	my $link = $INPUT{'account'};
	$name{$link} = $INPUT{'name'};
	$url{$link} = $INPUT{'url'};
	$clicks{$link} = $INPUT{'clicks'};
	$clicks_left{$link} = $INPUT{'clicks_left'};
	$weight{$link} = $INPUT{'weight'};
	$ratio{$link} = $INPUT{'ratio'};
	$reset_to{$link} = $INPUT{'reset_to'};
	&writeLinks(@links);
}




# Delete Account #
sub deleteAccount {
print <<EOF;
<html><head>
<title>Click Manager $version: Delete Account</title>
</head>
<body BGCOLOR="#FFFFFF">
<Center>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR>
<TD BGCOLOR="#000050" ALIGN=CENTER>
<FONT FACE="Verdana, Arial, Helvetica" SIZE="5" COLOR="White">
<B>Delete Account</B></FONT></TD>
</TR>
</TABLE>
<P ALIGN=CENTER>
Are you sure you want to delete this account ($INPUT{account})?<BR>
All information contained will be lost.
</P>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR>
<TD BGCOLOR="#000050" align=center>
<form ACTION="$script_url" METHOD="POST">
<input type="hidden" name="account" value="$INPUT{'account'}">
<input type="hidden" name="user" value="$INPUT{'user'}">
<input type="hidden" name="pass" value="$INPUT{'pass'}">
<input NAME="Submit" TYPE="Submit" VALUE="Delete">
<input NAME="Submit" TYPE="Submit" VALUE="Cancel">
</TD>
</TR>
</TABLE>
</FORM>
</center></body></html>
EOF
}

### End of View/Edit Account Subroutines ###



### Reset All Subroutines ###

# Confirm the Reset
sub confirmReset {
print <<EOF;
<html><head>
<title>Click Manager $version: Reset Accounts</title>
</head>
<body BGCOLOR="#FFFFFF">
<Center>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR>
<TD BGCOLOR="#000050" ALIGN=CENTER>
<FONT FACE="Verdana, Arial, Helvetica" SIZE="5" COLOR="White">
<B>Reset Accounts</B></FONT></TD>
</TR>
</TABLE>
<P ALIGN=CENTER>
Are you sure you want to reset the accounts?<BR>
This cannot be undone.
</P>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR>
<TD BGCOLOR="#000050" align=center>
<form ACTION="$script_url" METHOD="POST">
<input type="hidden" name="account" value="$INPUT{'account'}">
<input type="hidden" name="user" value="$INPUT{'user'}">
<input type="hidden" name="pass" value="$INPUT{'pass'}">
<input NAME="Submit" TYPE="Submit" VALUE="Reset">
<input NAME="Submit" TYPE="Submit" VALUE="Cancel">
</TD>
</TR>
</TABLE>
</FORM>
</center></body></html>
EOF
}

### End of Reset All Subroutines ###



### Change Password Subroutines###

sub changePassword {
print <<EOF;
<html><head>
<title>Click Manager $version: Change Password</title></head>
<BODY BGCOLOR="#FFFFFF"><CENTER>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR><TD BGCOLOR="#000050" height=30>
<FONT FACE="Verdana, Arial, Helvetica" SIZE="5" COLOR="White">
<B>Change Password</B></FONT></TD></TR><TR><TD height=5></TD></TR></TABLE>
<TABLE BORDER=1 CELLPADDING=0 CELLSPACING=0>
<form ACTION="$script_url" METHOD="POST"><tr>
<td colspan="2" align="center" ALIGN=RIGHT>
<FONT FACE="ARIAL" SIZE=4>
Please enter old and new<BR>Usernames and Passwords</FONT></td>
</tr><tr>
<td ALIGN=RIGHT><font face="Arial"><b>Old Username:</b></font></td>
<td ALIGN=RIGHT><input type="text" name="oldUser" size="20"></td>
</tr><tr>
<td ALIGN=RIGHT><font face="Arial"><b>Old Password:</b></font></td>
<td ALIGN=RIGHT><input type="password" name="oldPass" size="20"></td>
</tr><tr>
<td ALIGN=RIGHT><font face="Arial"><b>New Username:</b></font></td>
<td ALIGN=RIGHT><input type="text" name="newUser" size="20"></td>
</tr><tr>
<td ALIGN=RIGHT><font face="Arial"><b>New Password:</b></font></td>
<td ALIGN=RIGHT><input type="password" name="newPass" size="20"></td>
</tr><tr>
<td colspan="2" align="center" bgcolor="#000080"></TABLE>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR><TD height=5></TD></TR>
<TR><TD BGCOLOR="#000050" align=center width=200>
<A HREF="http://rob.webfusion.net"><FONT FACE="Courier" SIZE="4" COLOR="White"><B>rob.webfusion.net</B></FONT></A></TD>
<TD BGCOLOR="#000050" align=center>
<INPUT NAME="user" TYPE="Hidden" VALUE="$INPUT{user}">
<INPUT NAME="pass" TYPE="Hidden" VALUE="$INPUT{pass}">
<input TYPE="Submit" VALUE="Change" Name="Submit">
<input TYPE="submit" VALUE="Main Page"></td></tr>
</table></form></center></body></html>
EOF

}
sub change { 
     if ($INPUT{oldUser} ne $INPUT{user}) {
          &error("CHANGE", "Old username incorrect");
          exit;
     }
     $temp = crypt($INPUT{oldPass}, aa);
     if ($temp ne $INPUT{pass}) {
          &error("CHANGE", "Old passeord incorrect");
          exit;
     }
     if ((!$INPUT{newUser}) ||  ($INPUT{newUser} eq "" ) || ($INPUT{newUser} !~ /\w+/)) {
	 &error("CHANGE", "New username not submitted");
	 exit;
     }
     if ((!$INPUT{newPass}) || ($INPUT{newPass} eq "") || ($INPUT{newPass} !~ /\w+/)) {
	 &error("CHANGE", "New password not submitted");
	 exit;
     }
     open(PASSWORD,"$passfile") or &error("FILE", $!, "$passfile");
     $line = <PASSWORD>;
     close(PASSWORD);

     $new_pass = crypt($INPUT{newPass}, aa);

     open(PASSWORD,">$passfile") or &error("FILE", $!, "$passfile");
     print PASSWORD "$INPUT{newUser}:$new_pass\n";
     close(PASSWORD);
     
print <<EOF;
<HTML><HEAD><TITLE>Click Manager $version: Password Changed</TITLE></HEAD>
<BODY BGCOLOR="#FFFFFF"><CENTER>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR><TD BGCOLOR="#000050" colspan=2>
<FONT FACE="Courier" SIZE="5" COLOR="White">
<B>Password Changed</B></FONT></TD></TR>
<TR><TD BGCOLOR="#000050" align=center height=30 width=200>
<FONT FACE="Courier, Courier New" SIZE="4" COLOR="White">created by morden</FONT></TD>
<TD BGCOLOR="#000050" align=center>
<form ACTION="$script_url" METHOD="POST">
<INPUT NAME="user" TYPE=Hidden VALUE="$INPUT{newUser}">
<INPUT NAME="pass" TYPE=Hidden VALUE="$new_pass">
<INPUT TYPE="Submit" VALUE="Main Page">
</TD></TR></FORM></TABLE></CENTER></BODY></HTML>
EOF
}
### End of Change Password Subroutines ###

### View Error Log ###
sub viewError {
    if (-e "$error_log") {
	open (ERROR, "$error_log") or &error("FILE", $!, "$error_log");
	@lines = <ERROR>;
	close ERROR;   

print <<EOF;
<html<head>
<title>Click Manager $version: Error Log</title>
</head>
<BODY BGCOLOR="#FFFFFF"><CENTER>
<FORM ACTION="$script_url" METHOD="POST">
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR><TD BGCOLOR="#000050" ALIGN=CENTER>
<FONT FACE="Verdana, Arial, Helvetica" SIZE="5" COLOR="White">
<B>Error Log</B></FONT></TD></TR><TR><TD height=5></TD></TR></TABLE>

<TABLE BORDER=1 CELLPADDING=0 CELLSPACING=0>
<TR><TD align=center ALIGN=RIGHT><B>Date</B></TD>
<TD align=center ALIGN=RIGHT><B>Error</B></TD>
<TD align=center ALIGN=RIGHT><B>System Report</B></TD></TR>
EOF

     foreach $line(@lines) {
	    ($time, $error, $reason) = split(/$del/, $line);
	    $time_error = &getDate($time);
	    print "<TR><TD>$time_error</TD><TD>$error</TD><TD>$reason</TD></TR>\n";
	}
	print <<EOF;
</TABLE>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR><TD height=5></TD></TR>
<TR>
<TD BGCOLOR="#000050" align=center>
<input type="hidden" name="user" value="$INPUT{user}">
<input type="hidden" name="pass" value="$INPUT{pass}">
<INPUT TYPE="Submit" VALUE="Main Page">
<INPUT TYPE="Submit" Name="Submit" VALUE="Reset Log">
</TD></TR></TABLE></FORM></BODY></HTML>
EOF
    }
    else {
print <<EOF;
<html<head><title>Click Manager $version: Error Log</title></head>
<BODY BGCOLOR="#FFFFFF"><CENTER>
<FORM ACTION="$script_url" METHOD="POST">
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR><TD BGCOLOR="#000050" ALIGN=CENTER>
<FONT FACE="Verdana, Arial, Helvetica" SIZE="5" COLOR="White">
<B>Error Log</B></FONT></TD></TR><TR><TD height=5></TD></TR></TABLE>
<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0>
<TR><TD><B>No errors reported</B></TD></TR>
</TABLE>
<TABLE BORDER="0" width=90% cellpadding=5 cellspacing=0>
<TR><TD height=5></TD></TR>
<TR>
<TD BGCOLOR="#000050" align=center>
<input type="hidden" name="user" value="$INPUT{user}">
<input type="hidden" name="pass" value="$INPUT{pass}">
<INPUT TYPE="Submit" VALUE="Main Page">
</TD>
</TR>
</TABLE></FORM></BODY></HTML>
EOF
}#end of else
}#end of viewError
sub resetLog {
    unlink ("$error_log") or &error("FILE", $!, "$error_log");

}# end of resetLog




# --- getAccountNumber subroutine ---
# takes account name as argument
# returns the link key

sub getAccountNumber {
	my $name = $_[0];
	if (!$name) { $name = "untitled"; }
	srand(time() ^ ($$ + ($$ << 15)));
	my $numb = int rand(9999);
	$name =~/(\w+)/;
	my $key = "$1$numb";
	return ($key);
}


sub checkPassword {
    if (!$ENV{'CONTENT_LENGTH'}) {
	&loginScreen();
	return 0;
    }
    if ( (!$INPUT{user}) ||  ($INPUT{user} !~ /\w+/ )) {
	&loginScreen("No username submitted");
	return 0;
    }  
     open(PASSWORD,"$passfile") or &error(FILE, $!, $passfile);
     $line = <PASSWORD>;
     close(PASSWORD);
     
     chop($line) if $line =~ /\n$/;     
     ($username, $password) = split(/:/,$line);             
     $test_line = "$INPUT{user}:$INPUT{pass}";

     if ($line eq $test_line) {
          return 1;
          last;
     }
     &loginScreen("Incorrect login");
     return 0;
}

sub loginScreen {
	my $error_message = @_[0];

print <<EOF;
<HTML><HEAD><TITLE>Click Manager Login</TITLE></HEAD>
<BODY><FORM ACTION="$script_url" METHOD="POST">
<TABLE BORDER=0 ALIGN=CENTER CELLPADDING=5 CELLSPACING=0 WIDTH=350>
<TR><TD BGCOLOR="#000050" colspan=2 ALIGN=CENTER>
<FONT FACE="Verdana, Arial, Helvetica" SIZE="5" COLOR="White"><B>Click Manager $version</B></FONT>
</TD></TR></TABLE>
<P ALIGN=CENTER><FONT COLOR=RED FACE="Arial,Helvetica" SIZE=-1>$error_message</FONT></P>
<TABLE BORDER=0 ALIGN=CENTER WIDTH=350 CELLSPACING=1 CELLPADDING=1>
<tr><td align=right><font face="Arial,Helvetica" size="-1">Username:</font></td>
<td><input type=text name="user" size=15></td></tr>
<tr><td align=right><font face="Arial,Helvetica" size="-1">Password:</font></td>
<td><input type=password name="pass" size=15></td></tr>
</TABLE>
<P ALIGN=CENTER><input TYPE="submit" name="submit" VALUE="Login"></P>
</FORM></BODY></HTML>
EOF
}

